# Conduct

Follow the [golden rule](https://en.wikipedia.org/wiki/Golden_Rule). Be respectful, even to those that are disrespectful. Please understand that no one is getting paid to develop/maintain open source software.

# Issues

Most can be solved by **reading the entire README**. I know it's long, but I promise it's thorough.

Before opening an issue, please review:

* [Getting Started](https://github.com/callmecavs/bricks.js#getting-started)
* [Example Code](https://github.com/callmecavs/bricks.js/tree/master/examples)

In the event that something is still broken, **include the following with a description of your issue**:

1. Browser Version
2. Browser Console (screenshot preferred)
3. Relevant HTML/JS (code block preferred)

Issues that don't will take longer to address, and may be outright closed.

# Pull Requests

Contributions are encouraged, especially if they address [open issues](https://github.com/callmecavs/bricks.js/issues?q=is%3Aopen+is%3Aissue). Please review the existing source code, and try to match the code style. Be prepared to edit your pull request.

In regards to additions, enhancements, and API changes... I'm open to new ideas, but these may be declined if I don't think they align with the direction I'd like to project to go in. Please be understanding of that, and consider forking.
